Bug 26880 - Add explanatory text to Add course reserve screens
Summary: Add explanatory text to Add course reserve screens
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: Course reserves (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Andrew Fuerste-Henry
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-10-30 18:44 UTC by Andrew Fuerste-Henry
Modified: 2020-11-16 20:55 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: String patch
Text to go in the release notes:
Version(s) released in:
20.11.00


Attachments
Bug 26880: Add explanatory text to add course reserve pages (2.41 KB, patch)
2020-10-30 19:06 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 26880: Add explanatory text to add course reserve pages (2.47 KB, patch)
2020-10-30 19:18 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 26880: Add explanatory text to add course reserve pages (2.53 KB, patch)
2020-10-30 19:19 UTC, Andrew Fuerste-Henry
Details | Diff | Splinter Review
Bug 26880: Add explanatory text to add course reserve pages (2.59 KB, patch)
2020-10-31 23:22 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2020-10-30 18:44:20 UTC
On course_reserves/batch_add_items.pl and course_reserves/add_items.pl, we could use a little explanatory text about how things work with the new checkboxes. Maybe:
“Checking the box next to the subfield label will enable changes to that subfield. Leave boxes unchecked to make no change.”

Also, batch add has a message of:
"Any items with existing course reserves will have their on reserve values updated."
I assume this also applies to an item added singly? We should add that to the single item page.
Comment 1 Andrew Fuerste-Henry 2020-10-30 19:06:53 UTC
Created attachment 112748 [details] [review]
Bug 26880: Add explanatory text to add course reserve pages

To test:
- go to course reserve add item and batch add items pages
- batch add has a little bit of explanation, add has none
- apply patch, restart, reload pages
- both pages have more text explaining how they work!

"Checking the box next to the field label will enable changes to that field. Leave boxes unchecked to make no change.<br>
Any items with existing course reserves will have their on reserve values updated."
Comment 2 Andrew Fuerste-Henry 2020-10-30 19:18:43 UTC
Created attachment 112749 [details] [review]
Bug 26880: Add explanatory text to add course reserve pages

To test:
- go to course reserve add item and batch add items pages
- batch add has a little bit of explanation, add has none
- apply patch, restart, reload pages
- both pages have more text explaining how they work!

"Checking the box next to the field label will enable changes to that field. Leave boxes unchecked to make no change.<br>
Any items with existing course reserves will have their on reserve values updated."

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>
Comment 3 Andrew Fuerste-Henry 2020-10-30 19:19:23 UTC
Created attachment 112750 [details] [review]
Bug 26880: Add explanatory text to add course reserve pages

To test:
- go to course reserve add item and batch add items pages
- batch add has a little bit of explanation, add has none
- apply patch, restart, reload pages
- both pages have more text explaining how they work!

"Checking the box next to the field label will enable changes to that field. Leave boxes unchecked to make no change.<br>
Any items with existing course reserves will have their on reserve values updated."

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>
Comment 4 Katrin Fischer 2020-10-31 23:22:23 UTC
Created attachment 112775 [details] [review]
Bug 26880: Add explanatory text to add course reserve pages

To test:
- go to course reserve add item and batch add items pages
- batch add has a little bit of explanation, add has none
- apply patch, restart, reload pages
- both pages have more text explaining how they work!

"Checking the box next to the field label will enable changes to that field. Leave boxes unchecked to make no change.<br>
Any items with existing course reserves will have their on reserve values updated."

Signed-off-by: Andrew Fuerste-Henry <andrew@bywatersolutions.com>

Signed-off-by: Kelly McElligott <kelly@bywatersolutions.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2020-11-03 09:59:59 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Lucas Gass 2020-11-16 20:55:04 UTC
enhancement will not be backported to 20.05.x